<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(
		array(
			'name' => esc_html__('Blog', 'liza'),
			'base' => 'pm_vc_blog',
			'description' => 'Display blog posts.',
			'category' => esc_html__('Pixel-Mafia', 'liza'),
			'icon' => 'liza_vc_elements_icon liza_blog',
			'params' => array(

				array(
					'param_name' => 'posts_per_page',
					'heading' => esc_html__('Posts per Page', 'liza'),
					'description' => '',
					'std' => '5',
					'type' => 'dropdown',
					'value' => array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'6' => '6',
						'7' => '7',
						'8' => '8',
						'9' => '9',
						'10' => '10',
						'11' => '11',
						'12' => '12',
					),
					'holder' => 'span',
					'class' => 'liza_vc_title_class liza_delim_dot',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'General',
				),

				array(
					'type' => 'css_editor',
					'heading' => esc_html__('CSS', 'liza'),
					'param_name' => 'custom_css',
					'group' => esc_html__('Design options', 'liza'),
				),

				array(
					'param_name' => 'custom_class',
					'heading' => esc_html__('Custom Class', 'liza'),
					'description' => '',
					'type' => 'textfield',
					'value' => '',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'Design options',
				),

			)
		)
	);
}


if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Blog extends WPBakeryShortCode
    {
    }
}
