<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_counter',
		'name' => esc_html__('Counter', 'liza'),
		"description" => esc_html__("Display counter block", "liza"),
		'category' => esc_html__('Pixel-Mafia', 'liza'),
		'icon' => 'liza_vc_elements_icon liza_counter',
		'params' => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Counter Title", "liza"),
				"param_name" => "counter_title",
				"value" => ""
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Counter Value", "liza"),
				"param_name" => "counter_value",
				"value" => ""
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Counter Symbol", "liza"),
				"param_name" => "counter_symbol",
				"value" => "",
				"edit_field_class" => "vc_col-sm-6",
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Symbol Position', 'liza'),
				'param_name' => 'symbol_pos',
				'admin_label' => true,
				'std' => 'after',
				"edit_field_class" => "vc_col-sm-6",
				'value' => array(
					esc_html__("Before Value", "liza") => 'before',
					esc_html__("After Value", "liza") => 'after'
				)
			),

			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Counter Title Color", "liza"),
				"param_name" => "counter_title_color",
				"value" => "",
				"edit_field_class" => "vc_col-sm-6",
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Counter Value Color", "liza"),
				"param_name" => "counter_value_color",
				"value" => "",
				"edit_field_class" => "vc_col-sm-6",
			),

			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'liza'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'liza'),
			),
			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'liza'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Counter extends WPBakeryShortCode
    {
    }
}
?>