<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(
		array(
			'name' => esc_html__('Related Posts', 'liza'),
			'base' => 'pm_vc_related_posts',
			'description' => 'Display blog posts.',
			'category' => esc_html__('Pixel-Mafia', 'liza'),
			'icon' => 'liza_vc_elements_icon liza_blog',
			'params' => array(

				array(
					'param_name' => 'posts_to_show',
					'heading' => esc_html__('Posts to Show', 'liza'),
					'description' => '',
					'std' => '3',
					'type' => 'dropdown',
					'value' => array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5'
					),
					'holder' => 'span',
					'class' => 'liza_vc_title_class liza_delim_dot',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'General',
				),

				array(
					'param_name' => 'posts_order',
					'heading' => esc_html__('Order By', 'liza'),
					'description' => '',
					'std' => 'rand',
					'type' => 'dropdown',
					'value' => array(
						'Random' => 'rand',
						'Title' => 'title',
						'Date' => 'date'
					),
					'holder' => 'span',
					'class' => 'liza_vc_title_class liza_delim_dot',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'General',
				),

				array(
					'param_name' => 'featured_image',
					'heading' => esc_html__('Featured Image', 'liza'),
					'description' => '',
					'std' => 'show',
					'type' => 'dropdown',
					'value' => array(
						'Show' => 'show',
						'Hide' => 'hide'
					),
					'holder' => 'span',
					'class' => 'liza_vc_title_class liza_delim_dot',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'General',
				),
				array(
					'param_name' => 'post_excerpt',
					'heading' => esc_html__('Post Excerpt', 'liza'),
					'description' => '',
					'std' => 'hide',
					'type' => 'dropdown',
					'value' => array(
						'Show' => 'show',
						'Hide' => 'hide'
					),
					'holder' => 'span',
					'class' => 'liza_vc_title_class liza_delim_dot',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'General',
				),
				array(
					'param_name' => 'post_meta',
					'heading' => esc_html__('Post Meta', 'liza'),
					'description' => '',
					'std' => 'show',
					'type' => 'dropdown',
					'value' => array(
						'Show' => 'show',
						'Hide' => 'hide'
					),
					'holder' => 'span',
					'class' => 'liza_vc_title_class liza_delim_dot',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'General',
				),

				array(
					'type' => 'css_editor',
					'heading' => esc_html__('CSS', 'liza'),
					'param_name' => 'custom_css',
					'group' => esc_html__('Design options', 'liza'),
				),

				array(
					'param_name' => 'custom_class',
					'heading' => esc_html__('Custom Class', 'liza'),
					'description' => '',
					'type' => 'textfield',
					'value' => '',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'Design options',
				),

			)
		)
	);
}


if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Related_Posts extends WPBakeryShortCode
    {
    }
}
