<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_skills',
		'name' => esc_html__('Skill Module', 'liza'),
		"description" => esc_html__("Display your skill level module.", "liza"),
		'category' => esc_html__('Pixel-Mafia', 'liza'),
		'icon' => 'liza_vc_elements_icon liza_skills',
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Skill Image', 'liza'),
				'param_name' => 'image',
				'admin_label' => true,
				'description' => esc_html__('Select image from media library.', 'liza'),
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", "liza"),
				"param_name" => "skill_title",
				'value' => ''
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Skill Caption", "liza"),
				"param_name" => "skill_caption",
				'value' => ''
			),		
            array(
                "type" => "textfield",
                "heading" => esc_html__("Skill Value", "liza"),
				"description" => esc_html__("Enter your skill value in % from 0 to 100.", "liza"),
                "param_name" => "skill_value",
                'value' => '',
            ),


			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Block Background", "liza"),
				"param_name" => "bg_color",
				"value" => "",
				"group" => esc_html__("Color options", 'liza'),
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", "liza"),
				"param_name" => "title_color",
				"value" => "",
				"group" => esc_html__("Color options", 'liza'),
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Caption Color", "liza"),
				"param_name" => "caption_color",
				"value" => "",
				"group" => esc_html__("Color options", 'liza'),
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Bar Background", "liza"),
				"param_name" => "bar_bg",
				"value" => "",
				"group" => esc_html__("Color options", 'liza'),
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Bar Color", "liza"),
				"param_name" => "bar_color",
				"value" => "",
				"group" => esc_html__("Color options", 'liza'),
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Value Color", "liza"),
				"param_name" => "value_color",
				"value" => "",
				"group" => esc_html__("Color options", 'liza'),
			),

			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'liza'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'liza'),
			),
			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'liza'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Skills extends WPBakeryShortCode
    {
    }
}
?>