"use strict";

function liza_reactivate_sortable() {
    jQuery('.liza_text_table_rows').sortable(
        {
            handle: '.liza_text_table_row_move',
        }
    );
}

function liza_rwmb_and_customizer_condition() {
    jQuery("[data-dependency-id]").each(function (index) {
        var liza_target = jQuery(this).attr('data-dependency-id');
        var liza_needed_val = jQuery(this).attr('data-dependency-val');

        if (jQuery(this).hasClass('liza_dependency_customizer')) {
            var liza_target_status = jQuery('#customize-control-' + liza_target).find('select').val();
            var liza_dependency_elem_cont = jQuery(this).parents('.customize-control');
        } else {
            var liza_target_status = jQuery('#' + liza_target).val();
            var liza_dependency_elem_cont = jQuery(this).parents('.rwmb-field');
        }

        if (liza_needed_val == liza_target_status) {
            liza_dependency_elem_cont.show('fast');
        } else {
            liza_dependency_elem_cont.hide('fast');
        }
    });
}

function liza_hide_unnecessary_options() {
	if (jQuery('.liza_this_template_file').size() < 1) {
		var liza_this_template_file = 'pm_temp_333';
	}
	if (jQuery('.liza_this_template_file').size() > 0) {
		liza_this_template_file = jQuery('.liza_this_template_file').val();
	}
	jQuery("[data-show-on-template-file]").each(function (index) {
		var liza_unnecessary_target = jQuery(this).attr('data-show-on-template-file');


		if (liza_unnecessary_target.indexOf(',') > -1) {
			var liza_unnecessary_target_array = liza_unnecessary_target.split(',');
			var liza_rwmb_del_status = 'not find';
			jQuery.each(liza_unnecessary_target_array, function (i, val) {
				if (liza_this_template_file == val.trim()) {
					liza_rwmb_del_status = 'find';
				}
			});
			if (liza_rwmb_del_status == 'not find') {
				jQuery(this).parents('.rwmb-field').remove();
			}
		} else {
			if (liza_this_template_file !== liza_unnecessary_target) {
				jQuery(this).parents('.rwmb-field').remove();
			}
		}
	});

	jQuery("[data-hide-on-template-file]").each(function (index) {
		var liza_unnecessary_target = jQuery(this).attr('data-hide-on-template-file');
		if (liza_unnecessary_target.indexOf(',') > -1) {
			var liza_unnecessary_target_array = liza_unnecessary_target.split(',');
			var liza_rwmb_del_status = 'not find';
			jQuery.each(liza_unnecessary_target_array, function (i, val) {
				if (liza_this_template_file == val.trim()) {
					liza_rwmb_del_status = 'find';
				}
			});
			if (liza_rwmb_del_status == 'find') {
				jQuery(this).parents('.rwmb-field').remove();
			}
		} else {
			if (liza_this_template_file == liza_unnecessary_target) {
				jQuery(this).parents('.rwmb-field').remove();
			}
		}
	});
}

jQuery(document).on('change', '#post-format-selector-0', function(){
	liza_onchange_post_formats2(jQuery(this).val());
});

function liza_onchange_post_formats2(val) {
    jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
	
	if (val == 'gallery') {
		jQuery('#gallery-post-format-settings').show('fast');
	}
	if (val == 'link') {
		jQuery('#link-post-format-settings').show('fast');
	}
	if (val == 'image') {
		jQuery('#image-post-format-settings').show('fast');
	}
	if (val == 'quote') {
		jQuery('#quote-post-format-settings').show('fast');
	}
	if (val == 'standard') {
        jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
	}
	if (val == 'video') {
		jQuery('#video-post-format-settings').show('fast');
	}
	if (val == 'audio') {
		jQuery('#audio-past-format-settings').show('fast');
	}
}

function liza_onchange_post_formats() {
    var liza_post_format = jQuery('#post-formats-select input:checked').val();
    jQuery('#image-post-format-settings, #video-post-format-settings, #audio-post-format-settings, #quote-post-format-settings').hide('fast');
    if (liza_post_format == 'standard') {
        jQuery('#image-post-format-settings, #video-post-format-settings, #audio-post-format-settings, #quote-post-format-settings').hide('fast');
    }
    if (liza_post_format == 'image') {
        jQuery('#image-post-format-settings').show('fast');
    }
    if (liza_post_format == 'video') {
        jQuery('#video-post-format-settings').show('fast');
    }
    if (liza_post_format == 'audio') {
        jQuery('#audio-post-format-settings').show('fast');
    }
    if (liza_post_format == 'quote') {
        jQuery('#quote-post-format-settings').show('fast');
    }
	
	if (jQuery('#post-formats-select').length < 1) {
		// Body Class
		if (jQuery('body').hasClass('post-type-gallery')) {
			jQuery('#gallery-post-format-settings').show('fast');
			setTimeout("jQuery('#gallery-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-image')) {
			jQuery('#image-post-format-settings').show('fast');
			setTimeout("jQuery('#image-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-video')) {
			jQuery('#video-post-format-settings').show('fast');
			setTimeout("jQuery('#video-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-audio')) {
			jQuery('#audio-past-format-settings').show('fast');
			setTimeout("jQuery('#audio-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-quote')) {
			jQuery('#quote-post-format-settings').show('fast');
			setTimeout("jQuery('#quote-post-format-settings').show('fast')",100);
		} else if (jQuery('body').hasClass('post-type-link')) {
			jQuery('#link-post-format-settings').show('fast');
			setTimeout("jQuery('#link-post-format-settings').show('fast')",100);
		} else {
			jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
		}
	}
}

jQuery(document).ready(function () {
    liza_onchange_post_formats();
    liza_rwmb_and_customizer_condition();
    liza_hide_unnecessary_options();

    jQuery('.rwmb-select, .customize-control-select select').change(function () {
        liza_rwmb_and_customizer_condition();
    });

    jQuery('#post-formats-select input').on("click", function () {
        liza_onchange_post_formats();
    });
    
    jQuery('.liza_reset_all_settings').on("click", function () {
	    if (confirm("Are you sure? All settings will be reset to default state.")) {
			jQuery.post(liza_admin_ajax_url, {
	            action: 'liza_reset_all_settings'
	        }, function (response) {
	            alert(response);
	        });
		}
	});

    if (jQuery('#page_template').size() > 0 && jQuery('#page_template').val() !== 'default') {
        jQuery('body').addClass(jQuery('#page_template').val().split('.')[0]);
    }

    jQuery(document).on("click", '.liza_text_table_add_row', function () {
        var liza_text_table_data_storage_name = jQuery(this).parents('.widget-content').find('.liza_text_table_data_storage_name').val();
        var liza_text_table_name_text = jQuery(this).parents('.widget-content').find('.liza_text_table_name_text').val();
        var liza_text_table_value_text = jQuery(this).parents('.widget-content').find('.liza_text_table_value_text').val();

        jQuery(this).parents('.widget-content').find('.liza_text_table_rows').append('<div class="liza_text_table_row liza_dn"><div class="liza_50_dib"><label>' + liza_text_table_name_text + ':</label><input class="widefat" type="text" name="' + liza_text_table_data_storage_name + '[][name]" value=""></div><div class="liza_50_dib"><label>' + liza_text_table_value_text + ':</label><textarea class="widefat" type="text" name="' + liza_text_table_data_storage_name + '[][value]"></textarea></div><div class="liza_text_table_row_remove"><i class="fa fa-trash"></i></div><div class="liza_text_table_row_move"><i class="fa fa-arrows"></i></div></div>');
        jQuery('.liza_dn').slideDown("fast").removeClass('liza_dn');
    });

    jQuery(document).on("click", '.liza_text_table_row_remove', function () {
        jQuery(this).parents('.liza_text_table_row').slideUp("normal", function () {
            jQuery(this).remove();
        });
    });

    jQuery(document).on("click", '.widget-control-save', function () {
        setTimeout(function () {
            liza_reactivate_sortable()
        }, 1000);
        setTimeout(function () {
            liza_reactivate_sortable()
        }, 2000);
        setTimeout(function () {
            liza_reactivate_sortable()
        }, 3000);
    });

    liza_reactivate_sortable();
});

jQuery(document).on("change", '.pm_albums_selector', function () {
	jQuery(this).parents('.pm_select_albums_wrapper').find('.pm_select_albums_value').val(jQuery(this).val());
});

jQuery(document).on('click', '.pm_categ_checkbox', function(){
	var this_container = jQuery(this).parents('.pm_categories_wrapper'),
		this_input = this_container.find('.pm_categ_value'),
		set_string = '';
	if (jQuery(this).hasClass('pm_categ_checkbox_all')) {
		this_container.find('.pm_categ_checkbox').each(function(){
			jQuery(this).prop( "checked", false);
		});
		jQuery(this).prop( "checked", true);
		this_input.val('all');
	} else {
		if (this_container.find('.pm_categ_checkbox:checked').length) {
			jQuery('.pm_categ_checkbox_all').prop( "checked", false);
			this_container.find('.pm_categ_checkbox').each(function(){
				if (jQuery(this).attr('checked')) {
					set_string = set_string + jQuery(this).attr('data-val') + ' ';
				}
			});
			set_string.substring(0, set_string.length - 1);
			this_input.val(set_string);
		} else {
			jQuery('.pm_categ_checkbox_all').prop( "checked", true);
			this_input.val('all');
		}
	}
});