<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
 * Template Name: Coming Soon
*/

the_post();
get_header();

lizaHelper::getInstance()->addJSToFooter('coming_soon', '
    jQuery("html").addClass("liza_transparent_header liza_height_100");
    jQuery(".liza_cs_background").css("background-image", "url(' . liza_get_theme_mod('cs_bg_image') . ')");
	jQuery("time").countDown({
		with_separators: false
	});
');
wp_enqueue_script('jquery-countdown', get_template_directory_uri() . '/js/jquery.countdown.js', true, false, true);
?>
	<div class="liza_blur_on_aside">
        <div class="liza_cs_background"></div>
        <div class="liza_cs_content_wrapper">
            <div class="liza_cs_content_inner">
                <div class="liza_cs_content">
                    <h1 class="liza_cs_title"><?php the_title(); ?></h1>
                    <div class="liza_element_wrap liza_element_countdown">
                        <time><?php echo esc_attr(liza_get_post_option('liza_countdown_date_y')) . '-' . esc_attr(liza_get_post_option('liza_countdown_date_m')) . '-' . esc_attr(liza_get_post_option('liza_countdown_date_d')); ?>T00:00:00+0000</time>
                    </div>
                    <?php if (liza_get_post_option('liza_countdown_shortcode') !== '') {
                        echo '
                            <div class="liza_cs_shortcode_wrapper">
                                '. do_shortcode(liza_get_post_option('liza_countdown_shortcode')) .'
                            </div>
                        ';
                    }?>
                </div>
            </div>
        </div>
        <?php if (liza_get_post_option('liza_countdown_sharing') == 'yes') {?>
            <div class="liza_cs_sharing">
                <span class="liza_cs_share_label"><?php echo esc_html__('Share', 'liza'); ?></span>
				<?php 
					echo liza_show_social_links(array(
						array(
							"uniqid" => "liza_soc_facebook",
							"class" => "facebook",
							"title" => "Facebook",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_twitter",
							"class" => "twitter",
							"title" => "Twitter",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_linkedin",
							"class" => "linkedin",
							"title" => "Linked In",
							"target" => "_blank",
						),						
						array(
							"uniqid" => "liza_soc_gplus",
							"class" => "google-plus",
							"title" => "Google+",
							"target" => "_blank",
						),						
						array(
							"uniqid" => "liza_soc_youtube",
							"class" => "youtube",
							"title" => "Youtube",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_instagram",
							"class" => "instagram",
							"title" => "Instagram",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_pinterest",
							"class" => "pinterest",
							"title" => "Pinterest",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_tumblr",
							"class" => "tumblr",
							"title" => "Tumblr",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_flickr",
							"class" => "flickr",
							"title" => "Flickr",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_vk",
							"class" => "vk",
							"title" => "VK",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_dribbble",
							"class" => "dribbble",
							"title" => "Dribbble",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_vimeo",
							"class" => "vimeo",
							"title" => "Vimeo",
							"target" => "_blank",
						),
						array(
							"uniqid" => "liza_soc_500px",
							"class" => "500px",
							"title" => "500px",
							"target" => "_blank",
						)
					))
				?>
            </div>
        <?php } ?>
	</div>
<?php
get_footer('empty');