<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

get_header();
$liza_post_classes = array(
	'liza_container',
	'liza_blur_on_aside',
	liza_get_theme_mod('sidebar_position'),
	'search_container'
);
?>
		<div id="post-<?php the_ID(); ?>" <?php post_class($liza_post_classes); ?>>
			<div class="liza_content_<?php echo((is_active_sidebar('sidebar') && (liza_get_theme_mod('sidebar_position') !== 'liza_no_sidebar')) ? 'w_sidebar' : 'no_sidebar'); ?> liza_content liza_element_blog liza_element_search">
                <div class="liza_tiny">
                    <div class="search_wrapper search_found">
                        <?php get_search_form(true); ?>
                    </div>

				<?php 
				$foundSomething = false;
                if (have_posts()) {
                    while ( have_posts() ) {
                        the_post();
                        $foundSomething = true;
                        echo '
                        <div class="' . implode(" ", get_post_class('stand_post liza_post_preview')) . '" id="post-' . get_the_ID() . '">
                            <div class="liza_title">
                                <h3 class="innertitle entry-title"><a href="' . get_permalink() . '">' . get_the_title() . '</a></h3>
                            </div>
                            <div class="liza_meta">
                                <div>' . get_the_date() . '</div>
                                <div>' . get_the_author_posts_link() . '</div>';

                        echo '
                            </div>
                            <div class="read_more_cont">
                                <a href="' . get_permalink() . '">' . esc_html__('Read More', 'liza') . '</a>
                            </div>
                        </div>
                        ';
                    }
                    echo get_the_posts_pagination(array(
                        'prev_text' => __('<i class="fa fa-angle-left" aria-hidden="true"></i>', 'liza'),
                        'next_text' => __('<i class="fa fa-angle-right" aria-hidden="true"></i>', 'liza'),
                    ));
                }

				if ($foundSomething == false) { ?>
                    <div class="search_wrapper search_not_found">
                        <h1><?php echo esc_html__('Oops!', 'liza'); ?> <?php echo esc_html__('Not Found!', 'liza'); ?></h1>
                        <span class="text_search"><?php echo esc_html__('Apologies, but we were unable to find what you were looking for.', 'liza'); ?></span>
                    </div>
				<?php
				}
				?>
            </div>
		</div>
		<?php get_sidebar('sidebar'); ?>
    </div>

<?php
get_footer();
?>