<?php
extract(
	shortcode_atts(
		array(
			'counter_title' => '',
			'counter_value' => '',
			'counter_title_color' => '',
			'counter_value_color' => '',
			'counter_symbol' => '',
			'symbol_pos' => 'after',

			'custom_css' => '',
			'custom_class' => ''
		),
		$atts
	)
);

#JS
wp_enqueue_script('js-waypoint', get_template_directory_uri() . '/js/waypoint.js', true, false, true);
wp_enqueue_script('pm-counter', get_template_directory_uri() . '/js/pm_counter.js', true, false, true);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$compile = '';
$images_ids = empty( $images ) ? array() : explode( ',', trim( $images ) );
$uniqid = mt_rand(0, 9999);
$html = '';
$symbol_class = '';

if ($counter_symbol !== '') {
	$symbol_class = 'liza_counter_sav';
	if ($symbol_pos == 'before') {
		$symbol_class = 'liza_counter_sbv';
	}
}

$html .= "
			<div class='liza_counter'>
				<div class='liza_counter_wrapper'>
					<div class='liza_counter_content'>
						<div class='liza_counter_title_wrapper'><h6 class='liza_counter_title liza_js_color' data-color='". esc_attr($counter_title_color) ."'><span class='liza_js_bg_color' data-bgcolor='". esc_attr($counter_title_color) ."'></span>" . esc_attr($counter_title) . "</h6></div>
						<div class='liza_stat_count_wrapper'>
							<div class='liza_stat_count liza_js_bg_color ". esc_attr($symbol_class) ."' data-symbol='". esc_attr($counter_symbol) ."' data-color='". esc_attr($counter_value_color) ."'>" . esc_attr($counter_value) . "</div>
						</div>
					</div>
				</div>
			</div>
";
echo $html;
?>