<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

get_header();

lizaHelper::getInstance()->addJSToFooter('404page', '
    jQuery("html").addClass("liza_transparent_header liza_height_100");
    jQuery(".liza_404_background").css("background-image", "url(' . liza_get_theme_mod('404_bg_image') . ')");
');
$search_rand = mt_rand(0, 999);
?>	
	<div class="liza_blur_on_aside">
        <div class="liza_404_background"></div>
        <div class="liza_404_overlay"></div>
        <div class="liza_404_content_wrapper">
            <div class="liza_404_content_inner">
                <h1><?php echo esc_html__('404. Page Not Found.', 'liza'); ?></h1>
                <p>
                
                    <?php echo esc_html__('There\'s a lot of reasons why this page is 404. Don\'t waste your time enjoying the look of it. You could return to the homepage or search using the search box below.', 'liza'); ?>
                </p>
                <div class="clear"></div>
                <div class="search_wrapper404">
                    <form name="search_form404" method="get" action="<?php echo esc_url(home_url('/')); ?>" class="liza_search_form" id="search-<?php echo esc_attr($search_rand); ?>">
                        <input type="text" name="s" data-placeholder="<?php esc_html_e('SEARCH THE SITE', 'liza'); ?>" value="" placeholder="<?php esc_html_e('SEARCH THE SITE', 'liza'); ?>" title="<?php esc_html_e('Search the site...', 'liza'); ?>" class="liza_field_search">
                        <input type="submit" name="submit404" value="<?php esc_html_e('SEARCH', 'liza'); ?>" placeholder="<?php esc_html_e('SEARCH', 'liza'); ?>" class="liza_button_search">
                        <div class="clear"></div>
                    </form>
                </div>
            </div>
        </div>
	</div>
<?php
get_footer('empty');