<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

if (post_password_required()) {
    return;
}

# Enqueue Comment Reply JS
if (is_singular() && comments_open()) {
    wp_enqueue_script('comment-reply');
}

function liza_comment_html($comment, $args, $depth)
{
    $GLOBALS['comment'] = $comment;
    ?>

<div <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
	<div class="liza_comment_wrapper">
        <div class="liza_comment_body">
            <?php
            if ($comment->comment_approved == '0') {
                echo '<p>' . esc_html__('Your comment is awaiting moderation.', 'liza') . '</p>';
            }
            comment_text();
            ?>
        </div>
        <div class="liza_comment_info">
            <?php echo get_avatar($comment->comment_author_email, $args['avatar_size']); ?>
            <h6 class="liza_comment_author"><?php echo get_comment_author(); ?></h6>
            <div class="liza_comment_date"><?php echo get_comment_date(); ?></div>
        </div>
        <div class="liza_comment_reply_wrapper">
            <?php edit_comment_link('Edit'); ?>
            <?php comment_reply_link(
                array_merge(
                    $args, array(
                        'before' => ' <div class="liza_comment_reply">',
                        'after' => '</div>',
                        'depth' => $depth,
                        'reply_text' => esc_html__('Reply', 'liza'),
                        'max_depth' => $args['max_depth']
                    )
                )
            );?>
        </div>
        <div class="clear"></div>
	</div>
    <?php
}

if (comments_open() || have_comments()) {
    ?>

    <div class="liza_comments_cont">
        <h4 class="liza_tac liza_comments_title"><?php comments_number();
            echo ' ';
            echo esc_attr__('on This Post', 'liza'); ?></h4>
        <?php
        if (have_comments()) {
            the_comments_navigation();
            ?>

            <div class="liza_comment_list">
                <?php
                wp_list_comments(array(
                    'style' => 'div',
                    'max_depth' => '5',
                    'avatar_size' => 120,
                    'callback' => 'liza_comment_html'
                ));
                ?>
            </div>

            <?php the_comments_navigation();
        }

        $liza_comments_field_req = get_option('require_name_email');
		if (comments_open()) {
        comment_form(array(
            'title_reply_before' => '<h4 class="liza_reply_comment_title liza_tac">',
            'title_reply_after' => '</h4>',
            'fields' => array(
                'author' => '<input placeholder="'.esc_attr__('NAME', 'liza') . ($liza_comments_field_req ? ' *' : '').'" name="author" type="text" value="' . esc_attr($commenter['comment_author']) . '" size="30" />',
                'email' => '<input placeholder="'.esc_attr__('EMAIL', 'liza') . ($liza_comments_field_req ? ' *' : '').'" name="email" type="text" value="' . esc_attr($commenter['comment_author_email']) . '" size="30" />',
            ),
        ));
		}
        ?>
    </div>

    <?php
}