<?php
add_pm_code('pm_categories', 'pm_categories_function', '');

function pm_categories_function($settings, $value) {
	$pm_return = '<div class="pm_categories_wrapper"><div class="pm_categories_inner">';
	$taxonomy = isset($settings['taxonomy']) ? $settings['taxonomy'] : 'albumscat';
	$all_checked = '';
	if (empty($value) || $value == 'all' || $value == 'all ') {
		$all_checked = 'checked';
	}
	$args = array('taxonomy' => 'Category');
	$terms = get_terms($taxonomy, $args);
	$pm_return .= '<input type="hidden" name="' . esc_attr( $settings['param_name'] ) . '" class="pm_categ_value pm_elpos_value_base wpb_vc_param_value" value="'. $value .'">';
	
	$pm_return .= "<div class='pm_categ_block'><input class='category_part pm_categ_checkbox pm_categ_checkbox_all' ". $all_checked ." type='checkbox' data-val='all' name='". esc_attr($settings['param_name']) . "_all" . "'> <span class='pm_categselect_span'>All</span></div>";
	$val_array = explode(" ", $value);
	if (is_array($terms) && count($terms) > 0) {
		foreach ($terms as $cat) {
			$this_slug = $cat->slug;
			if (in_array($this_slug, $val_array)) {
				$checked = "checked";
			} else {
				$checked = "";
			}
			$pm_return .= "<div class='pm_categ_block'><input class='category_part pm_categ_checkbox' type='checkbox' ". $checked ." data-val='". $this_slug ."' name='". esc_attr($settings['param_name']) . $this_slug . "'> <span class='pm_categselect_span'>" . $cat->name . "</span></div>";
		}
	} else {
		$pm_return .= esc_html__("No category available. Please add new category in the gallery section.", "liza");
	}
	$pm_return .= "</div></div>";
	return $pm_return;
	
}
?>