<?php
extract(
	shortcode_atts(
		array(
			'button_text' => '',
			'link' => '',
			'button_type' => '',
			'button_align' => '',
			
			'custom_css' => '',
			'custom_class' => ''
		),
		$atts
	)
);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$btn_link_temp = vc_build_link($link);
$url = $btn_link_temp['url'];
if ($url !== '') {
	$url = esc_url($url);
} else {
	$url = '#';
}
$target = $btn_link_temp['target'];
if ($target !== '') {
	$set_target = 'target="' . esc_attr($target) . '"';
} else {
	$set_target = '';
}

$html = '';

$html .='
	<div class="liza_button_wrapper ' . esc_attr($custom_class) .' '. esc_attr($css_class) . ' '. esc_attr($button_align) .'">
		<a href="'. esc_url($url) .'" class="liza_button '. esc_attr($button_type) .'" '. esc_attr($set_target) .'>'. esc_attr($button_text) .'</a>
	</div>';

echo $html;
?>