<?php
extract(
	shortcode_atts(
		array(
			'image' => '',
			'skill_title' => '',
			'skill_caption' => '',
			'skill_value' => '',
			'bg_color' => '',
			'title_color' => '',
			'caption_color' => '',
			'bar_bg' => '',
			'bar_color' => '',
			'value_color' => '',			
			'custom_css' => '',
			'custom_class' => ''
		),
		$atts
	)
);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$featured_image = aq_resize(esc_url(wp_get_attachment_url($image)), '570', '570', true, true, true);

$html = '';

$html .='<div class="liza_skill_block_wrapper liza_js_bg_color ' . esc_attr($custom_class) .' '. esc_attr($css_class) . '" data-bgcolor="'. esc_attr($bg_color) .'">
			<div class="liza_skill_block" data-value="'. esc_attr($skill_value) .'">
				<h5 class="liza_skill_title liza_js_color" data-color="'. esc_attr($title_color) .'">'. esc_attr($skill_title) .'</h5>
				<div class="liza_skill_block_image_wrapper">
					<img src="'. esc_url($featured_image) .'" class="liza_skill_image" />
				</div>
				<div class="liza_skill_caption liza_js_color" data-color="'. esc_attr($caption_color) .'">'. esc_attr($skill_caption) .'</div>
				<div class="liza_skill_bar_wrapper">
					<div class="liza_skill_bar_background liza_js_bg_color" data-bgcolor="'. esc_attr($bar_bg) .'">
						<div class="liza_skill_bar liza_js_bg_color" data-bgcolor="'. esc_attr($bar_color) .'">							
							<div class="liza_skill_dot liza_js_bg_color" data-bgcolor="'. esc_attr($bar_color) .'">
								<span class="liza_skill_value liza_js_color" data-color="'. esc_attr($value_color) .'">0%</span>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>';

echo $html;
?>